## org.apache.ivy.tools.analyser
Class JarJarDependencyAnalyser

    java.lang.Object
      org.apache.ivy.tools.analyser.JarJarDependencyAnalyser

All Implemented Interfaces:
  DependencyAnalyser

    public class JarJarDependencyAnalyser

extends java.lang.Object
implements DependencyAnalyser

Constructor Summary
`JarJarDependencyAnalyser(java.io.File jarjarjarLocation)`

Method Summary
`ModuleDescriptor[]` `analyze(JarModule[] modules)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarJarDependencyAnalyser

    public JarJarDependencyAnalyser(java.io.File jarjarjarLocation)

Method Detail

### analyze

    public ModuleDescriptor[] analyze(JarModule[] modules)

  Specified by:
    `analyze` in interface `DependencyAnalyser`

### main

    public static void main(java.lang.String[] args)